CVE Reference: CVE-2011-3597

NOTE: The text on this page is written by CVE MITRE and reflects neither the opinions of Secunia or the results of our research. All data on this page is written and maintained by CVE MITRE.

Original Page at CVE MITRE:
CVE-2011-3597

Description:
Eval injection vulnerability in the Digest module before 1.17 for Perl allows context-dependent attackers to execute arbitrary commands via the new constructor.

CVE Status:
Candidate

References:

UBUNTU
  http://www.ubuntu.com/usn/USN-1643-1

SAID
  Secunia Advisory: SA46279
  Secunia Advisory: SA51457

REDHAT
  http://www.redhat.com/support/errata/RHSA-2011-1797.html
  http://www.redhat.com/support/errata/RHSA-2011-1424.html

OVAL
  http://oval.mitre.org/repository/data/getDef?id=oval:org.mitre.oval:def:19446

MANDRIVA
  http://www.mandriva.com/security/advisories?name=MDVSA-2012:009
  http://www.mandriva.com/security/advisories?name=MDVSA-2012:008

CONFIRM
  http://cpansearch.perl.org/src/GAAS/Digest-1.17/Changes
  http://aix.software.ibm.com/aix/efixes/security/perl_advisory2.asc

BID
  49911


Return to the previous page.